
#ifndef NANONVAHINCLUDED
#define NANONVAHINCLUDED 1

/* Useful commands: 
pause
	stop sweep

resume
	resume sweeping

sweep
	returns fstart f-end fpoint-count

frequencies
	returns list of the fpoint-count frequencies defined

data 0
	returns list of Re(S11) and Im(S11) 

data 1
	returns list of Re(S21) and Im(S21) 
*/ 

#define TTYDEV "/dev/ttyACM0"

int sweep_info(char *ttydev, uint32_t *fstartHz, uint32_t *fstopHz, int *fcount);
int sweep_infofd(int fd, uint32_t *fstartHz, uint32_t *fstopHz, int *fcount);

int pause_cmd(char *ttydev);
int pause_cmdfd(int fd);

int resume_cmd(char *ttydev);
int resume_cmdfd(int fd);

int frequencies_info(char *ttydev, uint32_t *freqs, int fcount);
int frequencies_infofd(int fd, uint32_t *freqs, int fcount);

int data_info(char *ttydev, int channel, complex *Sxx, int fcount);
int data_infofd(int fd, int channel, complex *Sxx, int fcount);

int pullalldatas(char *ttydev, uint32_t *freqs, complex *S11, complex *S21, int fcount);


#endif


