
#ifndef SERCONVHINCLUDED
#define SERCONVHINCLUDED

/* Read from the serial line in hix, with a prior select lasting 
	ts seconds, tu microseconds.
	Put anything read into the rx length rxcount buffer. 
	returns 0 for timeout, non-0 for tried to read something,
	and *nrd is the count of bytes actually read. */ 

int read_to(int fd, long ts, long tu, char *rx, int rxcount, int *nrd);

/* Perform a simple request/reply conversation with a device 
	sitting at some serial port 
	Hardcoded to 9600/no parity/8 data/1 stop
*/ 

int conversate(char *comname, char *cmd, char *reply, int replen);

int conversatefd(int fd, char *cmd, char *reply, int replen);

/* Read a line of text from the device.
	similar to fgets(), read until newline or until 
	the itemsmax-1 are read. 0-terminates the returned string.
	returns NULL on errors and the items when ok.
*/

char *readln(int fd, char *items, size_t itemsmax);

#endif


